## $Id: permissions.py 7191 2011-11-25 07:13:22Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Permissions for the student section.
"""
import grok

# Student section permissions

class HandleStudent(grok.Permission):
    grok.name('waeup.handleStudent')

class ViewStudent(grok.Permission):
    grok.name('waeup.viewStudent')

class ViewStudents(grok.Permission):
    grok.name('waeup.viewStudents')

class PayStudent(grok.Permission):
    grok.name('waeup.payStudent')

class HandleAccommodation(grok.Permission):
    grok.name('waeup.handleAccommodation')

class UploadStudentFile(grok.Permission):
    grok.name('waeup.uploadStudentFile')

class ManageStudent(grok.Permission):
    grok.name('waeup.manageStudent')

class ClearStudent(grok.Permission):
    grok.name('waeup.clearStudent')

# Local role
class StudentRecordOwner(grok.Role):
    grok.name('waeup.local.StudentRecordOwner')
    grok.title(u'Student Record Owner')
    grok.permissions('waeup.handleStudent', 'waeup.uploadStudentFile',
                     'waeup.viewStudent', 'waeup.payStudent',
                     'waeup.handleAccommodation', 'waeup.Authenticated')

# Site Roles
class StudentRole(grok.Role):
    grok.name('waeup.Student')
    grok.permissions('waeup.viewAcademics')

class StudentsOfficer(grok.Role):
    grok.name('waeup.StudentsOfficer')
    grok.title(u'Students Officer (view only)')
    grok.permissions('waeup.viewStudent','waeup.viewStudents')

class StudentsManager(grok.Role):
    grok.name('waeup.StudentsManager')
    grok.title(u'Students Manager')
    grok.permissions('waeup.viewStudent', 'waeup.manageStudent',
                     'waeup.payStudent', 'waeup.uploadStudentFile',
                     'waeup.handleAccommodation', 'waeup.viewStudents')

class StudentsClearanceOfficer(grok.Role):
    grok.name('waeup.StudentsClearanceOfficer')
    grok.title(u'Clearance Officer (all students)')
    grok.permissions('waeup.clearStudent')